// user-block.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const { DtpUserSchema } = require('./lib/user-types.js');

const UserBlockSchema = new Schema({
  member: { type: DtpUserSchema, required: true },
  blockedMembers: { type: [DtpUserSchema] },
});

module.exports = mongoose.model('UserBlock', UserBlockSchema);